<template>
  <client-only>
    <div
      :class="`grid grid-cols-${cols.base} sm:grid-cols-${cols.sm} md:grid-cols-${cols.md} lg:grid-cols-${cols.lg} gap-5`"
    >
      <TeaserSkeleton v-for="index in number" :key="index" />
    </div>
  </client-only>
</template>

<script>
import TeaserSkeleton from '~/components/product/TeaserSkeleton'

export default {
  components: {
    TeaserSkeleton,
  },
  data() {
    return {
      cols: {
        base: 1,
        sm: 1,
        md: 3,
        lg: 4,
      },
      number: 4,
    }
  },
}
</script>
